%define ver_major 2.22
%define _name fast-user-switch-applet
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>
#Packager: Igor Androsov <blake@altlinux.org>

Summary: GNOME applet for fast user switching
Name: gnome-applets-extra-fast-user-switch
Version: %ver_major.0
Release: alt2.M41.1
License: GPL
Group: Graphical desktop/GNOME
Source: http://ftp.gnome.org/pub/GNOME/sources/fast-user-switch-applet/2.22/%_name-%version.tar.bz2
Patch: fast-user-switch-applet-2.22.0-alt_change_display_type.patch
Patch1: fast-user-switch-applet-2.22.0-gnome_gio.patch
Patch2: fast-user-switch-applet-2.22.0-gnome_widget_fix.patch
Patch3: ru.po.diff
Url: http://ignore-your.tv/fusa

Requires: xorg-x11-xnest
Requires: gdm

#from configure.ac
%define gtk_ver 2.8.0
%define gnome_panel_ver 2.0.0
%define libglade_ver 2.0.0
%define gnome_doc_utils_ver 0.3.2
%define glib_ver 2.16.0

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-panel-devel >= %gnome_panel_ver
BuildPreReq: libglade2-devel >= %libglade_ver
BuildPreReq: gnome-doc-utils >= %gnome_doc_utils_ver
BuildPreReq: libgio-devel >= %glib_ver
BuildPreReq: gnome-common

%description
The Fast User-Switching Applet is an applet for the GNOME panel which
provides a menu to switch between users.

%prep
%setup -q -n %_name-%version
%patch -p1
%patch1 -p1 
%patch2 -p1
%patch3 -p1

%build
%autoreconf
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--with-gdm-config=/etc/X11/gdm/custom.conf \
	--with-gdm-setup=/usr/bin/gdmsetup
%make_build

%install
%make_install install DESTDIR=%buildroot

%find_lang %_name --with-gnome

%post
%gconf2_install %_name
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name
fi

%postun
%clean_scrollkeeper

%files -f %_name.lang
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%_libexecdir/%_name
%_datadir/%_name
%_datadir/gnome-2.0/ui/*
%_libdir/bonobo/servers/*.server
%_sysconfdir/gconf/schemas/%_name.schemas

%changelog
* Thu Aug 21 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.0-alt2.M41.1
- backport to 4.1 branch

* Wed Aug 20 2008 Igor Androsov <blake@altlinux.org> 2.22.0-alt3
- Update Russian translation from upstream
- Add some patches from upstream
  + Using g_stat() instead of stat()
  + Fix error window (GNOME #477656)
- Fix bugged script %preun (Closed #16765)

* Sun Mar 23 2008 Igor Androsov <blake@altlinux.org> 2.22.0-alt2
- Small fixes in spec and in source code
- - Removed Poland Summary 
- + Drop gnome-vfs dependency (bug 512548 in http://bugzilla.gnome.org), 
	adapted patch from Cosimo Cecchi

* Thu Mar 20 2008 Igor Androsov <blake@altlinux.org> 2.22.0-alt1
- Initial build for ALTlinux 
- Added patch for default view type of applet, change from text to icon mode
